Package org.eclipse.mat.ui.snapshot.panes

## Class BundlesPane

- java.lang.Object
- - org.eclipse.mat.ui.editor.AbstractEditorPane
  - - org.eclipse.mat.ui.internal.panes.QueryResultPane
    - - org.eclipse.mat.ui.snapshot.panes.BundlesPane

All Implemented Interfaces:
  `IAdaptable`, `ISelectionProvider`, `IEditorPart`, `ISaveablePart`, `IWorkbenchPart`

    public class BundlesPane
    extends QueryResultPane

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
`BundlesPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contributeToToolBar​(IToolBarManager manager)`
`void` `initWithArgument​(java.lang.Object argument)`

### Methods inherited from class org.eclipse.mat.ui.internal.panes.QueryResultPane

`addSelectionChangedListener, createPartControl, getAdapter, getSelection, getSrcQueryResult, getTitle, getTitleImage, getTitleToolTip, removeSelectionChangedListener, setFocus, setSelection`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, dispose, doSave, doSaveAs, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, init, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundlesPane

    public BundlesPane()

### Method Detail

#### initWithArgument

    public void initWithArgument​(java.lang.Object argument)

Overrides:
  `initWithArgument` in class `QueryResultPane`

#### contributeToToolBar

    public void contributeToToolBar​(IToolBarManager manager)

Overrides:
  `contributeToToolBar` in class `QueryResultPane`